Subject: bug#36014: closed (Re: bug#36014: [PATCH] Attempt to use console-fonts not provided by kbd if they are installed)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Aug 2019 16:01:02 +0000

Your bug report

#36014: Allow console-font service to use fonts other than those packaged with kbd

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36014: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36014
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36014: [PATCH] Attempt to use console-fonts not provided by kbd if they are installed
From: Ludovic Courtès <[email-masked]>
To: John Soo <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 Aug 2019 18:00:00 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

John Soo <[email-masked]> skribis:

> I am not familiar with the info and html documentation build process. Will
> this patch suffice?

Sure; I pushed a slightly modified variant as commit
74a98b5cddd0430dd7229d4045f4885191c624b7.

Thanks,
Ludo’.

Subject: Allow console-font service to use fonts other than those packaged with kbd
From: John Soo <[email-masked]>
To: [email-masked]
Date: Thu, 30 May 2019 12:21:28 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The console font service only allows fonts installed by default in the kbd package (tamzen, for instance, has a nice bitmap font available). I don’t know what the solution might be. I do know that setfont looks in the default font directory only for fonts and the available fonts are those that come packaged with the kbd package.